edu.isi.pegasus.planner.classes

## Class Profile

- java.lang.Object
- - edu.isi.pegasus.planner.classes.Data
  - - edu.isi.pegasus.planner.classes.Profile

All Implemented Interfaces:
  java.lang.Cloneable

    public class Profile
    extends Data

This Class hold informations about profiles associated with a tc.

Version:
  $Revision$
Author:
  Gaurang Mehta gmehta@isi.edu, Karan Vahi vahi@isi.edu

### Field Summary

Fields
`static java.lang.String` `CONDOR`
`static java.lang.String` `DAGMAN`
`static java.lang.String` `ENV`
`static java.lang.String` `GLOBUS`
`static java.lang.String` `HINTS`
`private static Escape` `mEscape` A private static handle to the escape class.
`private java.lang.String` `mKey`
`private java.lang.String` `mNamespace`
`private java.lang.String` `mValue`
`static java.lang.String` `SELECTOR`
`static java.lang.String` `STAT`
`static java.lang.String` `VDS`

### Fields inherited from class edu.isi.pegasus.planner.classes.Data

`mLogger, mLogMsg`

### Constructor Summary

Constructors
Constructor and Description
`Profile()` C'tpr for the class;
`Profile(java.lang.String namespace, java.lang.String key, java.lang.String value)` This constructor allows to set the namespace , key and value of the PoolProfile.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.Object` `clone()` Returns a copy of the object.
`java.util.List` `getProfile()` Returns the Profile (namespace, value and key);
`java.lang.String` `getProfileKey()` Returns the Key of the Profile
`java.lang.String` `getProfileNamespace()` Returns the NameSpace of the Profile
`java.lang.String` `getProfileValue()` Returns the Value for the profile
`static boolean` `namespaceValid(java.lang.String namespace)` Returns a boolean indicating whether the namespace is valid or not.
`void` `setProfile(java.lang.String namespace, java.lang.String key, java.lang.String value)` This method allows to set the namespace , key and value of the Profile.
`void` `setProfileKey(java.lang.String key)` Sets the profile key
`void` `setProfileNamespace(java.lang.String namespace)` Sets the NameSpace of the Profile
`void` `setProfileValue(java.lang.String value)` Sets the profile value
`java.lang.String` `toMultiLine()` Returns the textual description of the contents of `Profile` object in the multiline format.
`java.lang.String` `toString()` This method returns a string of the contents of this object.
`java.lang.String` `toXML()` This method returns an xml of the contents of this object.
`static java.lang.String` `unknownNamespaceMessage(java.lang.String namespace)` Returns the unknown namespace message.
`static java.lang.String` `validTypesToString()` Returns a comma separated string containing the valid namespace types.

### Methods inherited from class edu.isi.pegasus.planner.classes.Data

`setToString, vectorToString`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### mEscape

    private static Escape mEscape

A private static handle to the escape class.

#### CONDOR

    public static final java.lang.String CONDOR

See Also:
  Constant Field Values

#### GLOBUS

    public static final java.lang.String GLOBUS

See Also:
  Constant Field Values

#### VDS

    public static final java.lang.String VDS

See Also:
  Constant Field Values

#### DAGMAN

    public static final java.lang.String DAGMAN

See Also:
  Constant Field Values

#### HINTS

    public static final java.lang.String HINTS

See Also:
  Constant Field Values

#### ENV

    public static final java.lang.String ENV

See Also:
  Constant Field Values

#### STAT

    public static final java.lang.String STAT

See Also:
  Constant Field Values

#### SELECTOR

    public static final java.lang.String SELECTOR

See Also:
  Constant Field Values

#### mNamespace

    private java.lang.String mNamespace

#### mKey

    private java.lang.String mKey

#### mValue

    private java.lang.String mValue

### Constructor Detail

#### Profile

    public Profile()

C'tpr for the class;

Throws:
  `java.lang.Exception`

#### Profile

    public Profile(java.lang.String namespace,
                   java.lang.String key,
                   java.lang.String value)

This constructor allows to set the namespace , key and value of the PoolProfile.

Parameters:
  `namespace` - Takes a String as the namespace. Has to be one of the predefined types.
  `key` - Takes a String as the key.
  `value` - The value for the key as String
Throws:
  `java.lang.Exception`

### Method Detail

#### unknownNamespaceMessage

    public static final java.lang.String unknownNamespaceMessage(java.lang.String namespace)

Returns the unknown namespace message.

Parameters:
  `namespace` - the namespace.
Returns:
  the message

#### namespaceValid

    public static boolean namespaceValid(java.lang.String namespace)

Returns a boolean indicating whether the namespace is valid or not.

Parameters:
  `namespace` - the namespace
Returns:
  true if valid namespace

#### validTypesToString

    public static java.lang.String validTypesToString()

Returns a comma separated string containing the valid namespace types.

Returns:
  comma separated list.

#### setProfile

    public void setProfile(java.lang.String namespace,
                           java.lang.String key,
                           java.lang.String value)

This method allows to set the namespace , key and value of the Profile.

Parameters:
  `namespace` - Takes a String as the namespace. Has to be one of the predefined types.
  `key` - Takes a String as the key.
  `value` - The value for the key as String
Throws:
  `java.lang.Exception`

#### getProfile

    public java.util.List getProfile()

Returns the Profile (namespace, value and key);

Returns:
  ArrayList

#### setProfileNamespace

    public void setProfileNamespace(java.lang.String namespace)

Sets the NameSpace of the Profile

Parameters:
  `namespace` - the namespace
Throws:
  `in` - case of invalid namespace

#### getProfileNamespace

    public java.lang.String getProfileNamespace()

Returns the NameSpace of the Profile

Returns:
  String

#### setProfileKey

    public void setProfileKey(java.lang.String key)

Sets the profile key

Parameters:
  `key` - the profile key

#### getProfileKey

    public java.lang.String getProfileKey()

Returns the Key of the Profile

Returns:
  String

#### setProfileValue

    public void setProfileValue(java.lang.String value)

Sets the profile value

Parameters:
  `value` - the profile value

#### getProfileValue

    public java.lang.String getProfileValue()

Returns the Value for the profile

Returns:
  String

#### toMultiLine

    public java.lang.String toMultiLine()

Returns the textual description of the contents of `Profile` object in the multiline format.

Returns:
  the textual description in multiline format.

#### toString

    public java.lang.String toString()

This method returns a string of the contents of this object. The values are always escaped.

Specified by:
  `toString` in class `Data`
Returns:
  String
See Also:
  `org.griphyn.common.util.Escape`

#### toXML

    public java.lang.String toXML()

This method returns an xml of the contents of this object.

Returns:
  String.

#### clone

    public java.lang.Object clone()

Returns a copy of the object.

Overrides:
  `clone` in class `java.lang.Object`
Returns:
  copy of the object.